--- /dev/null
+
+git-tuneclone.sh
+----------------
+
+This package comes with a script 'debian/git-tuneclone.sh'.
+Running it after a fresh clone of the packaging repository
+will fine-tune your local copy, namely:
+- make git ignore any .pc/ directory (created by quilt)
+- enable the "-follow-tags" when running 'git-push', so it's harder
+ to forget to push packaging tags along with the branches.
+- do an initial checkout of the 3 packaging branches (master, pristine-tar,
+ upstream)
+The script only needs to run once (though running it multiple times shouldn't
+matter).
+You are of course free to *not* run the script, if you prefer.
+
+ -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org> Tue, 11 Nov 2015 11:11:03 +0100
+
--- /dev/null
+juce (4.1.0-1) UNRELEASED; urgency=medium
+
+ * Initial release. (Closes: #808611)
+
+ -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org> Mon, 21 Dec 2015 21:25:23 +0100
--- /dev/null
+Source: juce
+Section: sound
+Priority: optional
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+Build-Depends: debhelper (>= 9),
+ libgl1-mesa-dev | libgl-dev,
+ libxinerama-dev,
+ libfreetype-dev,
+ pkg-config
+Build-Depends-Indep: doxygen
+Standards-Version: 3.9.6
+Homepage: http://juce.org
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/juce.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/juce.git
+
+Package: libjuce0
+Architecture: any
+Section: libs
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends}, ${misc:Depends}
+Description: Jules' Utility Class Extensions
+
+ JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
+ developing cross-platform software.
+ .
+ It contains pretty much everything you're likely to need to create most
+ applications, and is particularly well-suited for building highly-customised
+ GUIs, and for handling graphics and sound.
+
+Package: libjuce-dev
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends},
+ libjuce0 (>= ${source:Version}),
+ libjuce0 (<< ${source:Upstream-Version}+1~)
+Description: Jules' Utility Class Extensions (development)
+ JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
+ developing cross-platform software.
+ .
+ It contains pretty much everything you're likely to need to create most
+ applications, and is particularly well-suited for building highly-customised
+ GUIs, and for handling graphics and sound.
+ .
+ This package provides the files necessary to compile an application
+ using JUCE.
+
+Package: libjuce-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends},
+Suggests: libjuce-dev
+Description: Jules' Utility Class Extensions (documentation)
+ JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
+ developing cross-platform software.
+ .
+ It contains pretty much everything you're likely to need to create most
+ applications, and is particularly well-suited for building highly-customised
+ GUIs, and for handling graphics and sound.
+ .
+ This package contains html documentation for the JUCE API.
+
+#Package: introjucer
+#Architecture: all
+#Section: doc
+#Depends: ${misc:Depends},
+# libjuce-dev
+#Description: Jules' Utility Class Extensions (documentation)
+# JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
+# developing cross-platform software.
+# .
+# It contains pretty much everything you're likely to need to create most
+# applications, and is particularly well-suited for building highly-customised
+# GUIs, and for handling graphics and sound.
+# .
+# This package contains html documentation for the JUCE API.
--- /dev/null
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: gsequencer
+Source: http://github.com/gsequencer/gsequencer
+
+Files: *
+Copyright: 2005-2015 Joël Krähemann <jkraehemann-guest@users.alioth.debian.org>
+License: GPL-3+
+
+Files: src/*
+Copyright: 2005-2015 Joël Krähemann <jkraehemann-guest@users.alioth.debian.org>
+License: GPL-3+
+
+Files: src/ags/lib/ags_parameter.c
+Copyright: 1995 Spencer Kimball and Peter Mattis
+License: GPL-2+
+
+Files: AUTHORS ChangeLog COPYING INSTALL NEWS README gsequencer.1 gsequencer-documentation midi2xml.1 missing doc/* gsequencer.share/*
+Copyright: 2005-2015 Joël Krähemann <jkraehemann-guest@users.alioth.debian.org>
+License: GFDL-1.3+
+
+Files: debian/*
+Copyright: 2005-2015 Joël Krähemann <jkraehemann-guest@users.alioth.debian.org>
+License: GPL-3+
+
+License: GPL-2+
+ This program is free software; you can redistribute it and/or
+ modify it under the terms of the GNU General Public License
+ as published by the Free Software Foundation; either version 2
+ of the License, or (at your option) any later version.
+ .
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+License: GPL-3+
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 3 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
+
+License: GFDL-1.3+
+ Permission is granted to copy, distribute and/or modify this document
+ under the terms of the GNU Free Documentation License, Version 1.3
+ or any later version published by the Free Software Foundation;
+ with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
--- /dev/null
+# Configuration file for git-buildpackage and friends
+
+[DEFAULT]
+pristine-tar = True
+sign-tags = True
--- /dev/null
+#!/bin/sh
+
+## script to initialize a cloned repository
+## with per (local) repository settings.
+
+# - ignore quilt's .pc/ directory
+# - enable the "--follow-tags" mode for pushing
+
+error() {
+ echo "$@" 1>&2
+}
+
+NAME=$(dpkg-parsechangelog -S Source)
+
+if [ "x${NAME}" = "x" ]; then
+ error "unable to determine package name"
+ error "make sure you run this script within a source package dir"
+ exit 1
+fi
+
+if [ ! -d ".git" ]; then
+ error "it seems like this source package is not under git control"
+ exit 1
+fi
+
+echo "tuning git-repository for ${NAME}"
+git config push.followTags true && echo "enabled push.followTags"
+
+GITEXCLUDE=".git/info/exclude"
+egrep "^/?\.pc/?$" "${GITEXCLUDE}" >/dev/null 2>&1 \
+ || (echo "/.pc/" >> "${GITEXCLUDE}" && echo "ignoring /.pc/")
+
+for branch in pristine-tar upstream master; do
+ git checkout "${branch}"
+done
--- /dev/null
+#!/usr/bin/make -f
+# -*- mode: makefile; coding: utf-8 -*-
+# Copyright © 2015 IOhannes m zmölnig <umlaeute@debian.org>
+# Description: Main Debian packaging script for JUCE
+
+BUILD_DATE=$(shell date -u -d "$$(dpkg-parsechangelog -SDate)" +"%h %d %Y")
+export DEB_CPPFLAGS_MAINT_APPEND = -DBUILD_DATE='"$(BUILD_DATE)"'
+
+%:
+ dh $@
--- /dev/null
+3.0 (quilt)
--- /dev/null
+# Run the "uscan" command to check for upstream updates and more.
+version=3
+
+opts=dversionmangle=s/~dfsg(\.[0-9]*)?$// \
+ https://github.com/julianstorer/JUCE/releases .*/v?(\d\S*)\.tar\.gz